/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBR_CTRL.java,v 1.2 2002/08/02 15:39:13 jba Exp
 */

package jca.dbr;
import java.lang.*;


/**
 * Interface for DBR_CTRL_XXX objects.
 */
public interface DBR_CTRL extends DBR_GR {
  /**
   * Return the upper control limit.
   */
  public DBData upperCtrlLimit();
  /** 
   * Return the lower control limit.
   */
  public DBData lowerCtrlLimit();
}
