/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBR_PUT_ACKT.java,v 1.2 2002/08/02 15:39:16 jba Exp
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represent the Channel Access DBR_PUT_ACKT type.
 *
 */
public class DBR_PUT_ACKT implements DBR {
  protected short m_value=0;

  public DBR_PUT_ACKT() {
  }

  public int type() {
    return DBR.PUT_ACKT;
  }
  
  public int count() {
    return 1;
  }

  public DBData dataAt(int at) {
    return new DBShort(m_value);
  }
  
  public short valueAt(int at) {
    return m_value;
  }

  public short value() {
    return m_value;
  }
}
