/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBR_STSACK_DBString.java,v 1.2 2002/08/02 15:39:16 jba Exp
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represents the Channel Access DBR_STSACK_STRING type.
 *
 */
public class DBR_STSACK_DBString extends DBR_STS_DBString {
  protected short  m_ackt=0;
  protected short  m_acks=0;

  public DBR_STSACK_DBString() {
    super();
  }

  public short ackt() {
    return m_ackt;
  }
  public short acks() {
    return m_acks;
  }

  protected void setInfo(short status, short severity, 
                         short ackt, short acks) {
    super.setInfo(status,severity);
    m_ackt= ackt;
    m_acks= acks;
  }
}
